package graphics.scene;

import java.awt.Color;
import java.awt.Dimension;

import javax.swing.JPanel;

import br.ufsc.inf.leobr.cliente.Jogada;
import graphics.userInterface.Window;

public class Scene extends JPanel implements Jogada {
	/**
	 * Serve pra não dar merda na serialização de objetos.
	 */
	private static final long serialVersionUID = 8721694103169262606L;
	
	/**
	 * Cria uma nova cena vazia de maneira que não dê merda com posição absoluta no Java.
	 */
	public Scene(int width, int height) {
		setLayout(null);
		setBounds(0, 0, width, height);
		setPreferredSize(new Dimension(width, height));
		setBackground(Color.BLACK);
	}
	
	/**
	 * Cria uma nova cena vazia de maneira que não dê merda com posição absoluta no Java.
	 */
	public Scene(int x, int y, int width, int height) {
		setLayout(null);
		setBounds(x, y, width, height);
		setPreferredSize(new Dimension(width, height));
		setBackground(Color.BLACK);
	}
	
	/**
	 * Cria-se uma janela com texto. Tá aí outra merda que "IT.JUST.FUNCIONA.". Jesus Cristo, que merda ruim de programar.
	 * @param x posição x na cena
	 * @param y posição y na cena
	 * @param width a largura da janela
	 * @param height a altura da janela
	 * @param text o texto da janela
	 * @return 
	 */
	public Window createWindowWithText(int x, int y, int width, int height, String text) {
		Window window = new Window(x, y, width, height, text);
		return window;
	}
}
